package org.ow2.util.pool.impl.enhanced.internal.actionscheduler;

import java.util.concurrent.Callable;

/**
 * An action cannot throw an exception.
 * @author Gael Lalire
 */
public interface IAction extends Callable<Boolean> {

    /**
     * This method must respect following contract.
     * Contract :
     * - If Thread.interrupt() is called, the flag must not be cleared by action code. If you were
     * waiting (not a expected behavior) then recall Thread.interrupt() and return normally.
     * - return true if the action was performed false otherwise
     */
    Boolean call();

}
